Subject: Re: [core] Fwd: New Version Notification for draft-vanderstok-core-comi-06.txt

From: Carsten Bormann <[email-masked]>
Date: Sun, 22 Mar 2015 07:29:22 -0500

Two quick comments on the data representation in section 6.2, before we
discuss this in the T2TRG meeting today [1]:

»bits« could be represented by a byte string as in CDDL, section B.1.2 [2].
Enumerations already use the numeric values, so for consistency we
should be doing the same for bits.

»smiv2:oid« could be using the (absolute) OID tag [3].  It is quite
natural for implementations to treat OIDs as byte strings.
Implementations will need to implement OIDs' base-128 representation
where they need to construct/interpret OIDs (OID suffixes), though.

These are minute technical items, so we may not discuss them per se
today in T2TRG, but maybe they are good examples for some of the discussion.

Grüße, Carsten

[1]: https://github.com/t2trg/2015-ietf92/blob/master/agenda.md
[2]:
https://tools.ietf.org/html/draft-greevenbosch-appsawg-cbor-cddl-05#appendix-B.1.2
[3]: https://tools.ietf.org/html/draft-bormann-cbor-tags-oid-00